capture log close
set  more off 
cd d:\󱳾
set matsize 10000
set scheme s1mono

log using myfile.log,replace
/*use "D:\󱳾\processdata\1.dta", clear*/
use "C:\Users\xinyingzheng\Desktop\\1.dta",clear
drop na15 h23 h24 h27 b11 b17 b18 d5 d17 g1 f2 f12 g6 h23 h24 h27 i2 i3 i4 i5 i6 i7 i8 i9 
drop     if    year<1995
gen      treat=1      if   b2!=.|b3!=.             /*national firm background or not*/
replace  treat=0      if   treat==.
replace  age=year+1-na2
gen      fage=year+1-d1
gen      lh17=ln(h17+1)
gen      lh20=ln(h20+1) if h20>=0
replace  lh20=-ln(-h20) if h20<0
gen      lg2=ln(g2)
gen      lfage=log(fage)
gen      lf1=ln(f1+1)                      /*rd invest*/
gen      lh28=ln(h28+1)                    /*cost of public relation and entertain*/
gen      lj16=ln(j16+1)
gen      lk19=ln(k19+1)    
foreach var of varlist lh17 lh20  lg2 lfage ld16 lf1 lh28 lj16 lk19{
winsor `var',gen(`var'win)p(0.01)
}
gen      sc1=(c11==1 | c11==2 | c11==3 | c11==4 | c11==5)         /*˴*/
gen      sc2=(c15==1 | c15==2 | c15==3 | c15==4 | c15==5)         /*ЭίԱ*/
gen      sc3=(c1==1)            /*йԱ*/
gen      sc4=(c1==4)            /**/
/*gen      sc5=1 if b14==1|b14==2|b14==3|b15==1|b15==2|b15==3|b16==1|b16==2|b16==3|b17==1|b17==2|b17==3|b18==1|b18==2|b18==3
replace  sc5=0 if b14!=. & treat!=1 |b15!=. & treat!=1|b16!=. & treat!=1|b17!=. & treat!=1|b18!=. & treat!=1*/
gen      sc5=(b14==1|b14==2|b14==3)     /*ΪҵԱ*/
gen      rd=(lf1win>0 & !missing(lf1win))
gen      relation=(lh28win>0 & !missing(lh28win))
gen      sc10=(sc1==1|!missing(c18))

gen      edu=1    if  na6==1 | na6==2
replace  edu=2    if  na6==3 | na6==4
replace  edu=3    if  na6==5 | na6==6 | na6==7
gen      urban=1  if  na3==1 | na3==2
replace  urban=0  if  na3==3
/*replace  d7=0  if  d7==.
replace  d8=0  if  d8==.
replace  d9=0  if  d9==.
gen      prop=d7+d8+d9
replace  prop=.*/
gen      prop=d7/100
count    if prop<50
count    if prop>=50
/*һ߳=1߳=2߳=3߳=4߳=5*/
gen district=1 if citynametjj==""|citynametjj=="Ϻ"|citynametjj==""|citynametjj==""|citynametjj=="ɶ"|citynametjj==""|citynametjj==""|citynametjj=="人"|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="Ͼ"|citynametjj=="֣"|citynametjj=="ɳ"|citynametjj==""|citynametjj=="ൺ"|citynametjj==""|citynametjj=="ݸ"|citynametjj==""
replace district=2 if citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="Ϸ"|citynametjj=="ɽ"|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="ʯׯ"|citynametjj==""|citynametjj=="Ȫ"|citynametjj==""|citynametjj==""|citynametjj=="ϲ"|citynametjj=="ͨ"|citynametjj==""|citynametjj==""|citynametjj=="̫ԭ"|citynametjj==""|citynametjj=="̨"|citynametjj==""|citynametjj==""|citynametjj=="̨"|citynametjj=="ɽ"|citynametjj==""|citynametjj=="³ľ"|citynametjj=="Ϋ"|citynametjj==""
replace district=3 if citynametjj=="麣"|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="ɽ"|citynametjj=="ͺ"|citynametjj=="γ"|citynametjj=="ͷ"|citynametjj=="ȷ"|citynametjj=="̩"|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="Ͳ"|citynametjj==""|citynametjj=="ߺ"|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="˲"|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="Ƹ"|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="տ"|citynametjj=="ͷ"|citynametjj=="ɽ"|citynametjj=="Ž"|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="Ǩ"|citynametjj==""|citynametjj==""|citynametjj=="̨"|citynametjj=="ͭ"|citynametjj==""|citynametjj==""|citynametjj=="פ"|citynametjj=="̶"|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="ػʵ"|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="˴"|citynametjj=="Ƹ"
replace district=4 if citynametjj=="ɽ"|citynametjj=="̩"|citynametjj=="Т"|citynametjj=="˹"|citynametjj==""|citynametjj=="ƽ"|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="ɽ"|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="ĳ"|citynametjj=="μ"|citynametjj==""|citynametjj==""|citynametjj=="÷"|citynametjj==""|citynametjj=="ܿ"|citynametjj=="ˮ"|citynametjj==""|citynametjj==""|citynametjj=="ׯ"|citynametjj=="ϳ"|citynametjj==""|citynametjj=="ƽɽ"|citynametjj=="Ӫ"|citynametjj=="ױ"|citynametjj=="ɽ"|citynametjj=="żҿ"|citynametjj=="Զ"|citynametjj==""|citynametjj=="Դ"|citynametjj=="˳"|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="̽"|citynametjj=="˱"|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="е"|citynametjj==""|citynametjj=="Ͻ"|citynametjj=="ľ˹"|citynametjj==""|citynametjj==""|citynametjj=="β"|citynametjj==""|citynametjj==""|citynametjj=="ˮ"|citynametjj=="ع"|citynametjj==""|citynametjj==""|citynametjj=="ï"|citynametjj=="ӱ߳"|citynametjj=="ɽ"|citynametjj==""|citynametjj==""|citynametjj=="¦"|citynametjj=="Ӫ"|citynametjj=="ĵ"|citynametjj==""|citynametjj=="˳"|citynametjj=="ǭϲ"|citynametjj==""|citynametjj=="Ϫ"|citynametjj=="ͨ"|citynametjj==""|citynametjj=="ٷ"|citynametjj=="üɽ"|citynametjj=="ʮ"|citynametjj=="ʯ"|citynametjj==""|citynametjj==""|citynametjj=="˳"|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="ͭ"|citynametjj=="ͬ"|citynametjj=="ԭ"|citynametjj=="ͨ"|citynametjj=="ӹ"|citynametjj=="ڽ"
replace district=5 if citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="ƽ"|citynametjj=="ӥ̶"|citynametjj=="Ԫ"|citynametjj=="Ƹ"|citynametjj=="«"|citynametjj=="Ϫ"|citynametjj==""|citynametjj=="ˮ"|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="㰲"|citynametjj=="ɽ"|citynametjj=="Թ"|citynametjj==""|citynametjj=="ɫ"|citynametjj=="첼"|citynametjj=="ն"|citynametjj=="ǭϲ"|citynametjj==""|citynametjj=="Ƽ"|citynametjj=="Ȫ"|citynametjj==""|citynametjj=="ˮ"|citynametjj=="Ǹ"|citynametjj==""|citynametjj=="ֹ"|citynametjj=="ɽ"|citynametjj=="ں"|citynametjj==""|citynametjj=="ٲ"|citynametjj=="Ͽ"|citynametjj==""|citynametjj=="ױ"|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="ɽ׳"|citynametjj=="׶"|citynametjj=="ӳ"|citynametjj=="ɽ"|citynametjj=="ں"|citynametjj==""|citynametjj=="ʩ"|citynametjj==""|citynametjj==""|citynametjj=="˫ɴ"|citynametjj=="Ӱ"|citynametjj=="Ű"|citynametjj==""|citynametjj=="˫Ѽɽ"|citynametjj=="֦"|citynametjj==""|citynametjj=="˰"|citynametjj=="żҽ"|citynametjj=="ͨ"|citynametjj==""|citynametjj==""|citynametjj=="׳"|citynametjj==""|citynametjj=="绯"|citynametjj==""|citynametjj=="Դ"|citynametjj==""|citynametjj==""|citynametjj==""|citynametjj=="Ҵ"|citynametjj=="׸"|citynametjj==""|citynametjj==""|citynametjj=="֥"|citynametjj==""|citynametjj==""|citynametjj=="º徰"|citynametjj==""|citynametjj=="Ȫ"|citynametjj==""|citynametjj=="¤"|citynametjj=="ƽ"|citynametjj==""|citynametjj=="β"|citynametjj=="˰"|citynametjj==""|citynametjj=="ӲǼ"|citynametjj==""|citynametjj==""|citynametjj=="˷"|citynametjj==""|citynametjj=="ͭ"|citynametjj==""|citynametjj=="ʯɽ"|citynametjj==""|citynametjj==""|citynametjj=="ԭ"|citynametjj==""|citynametjj=="ɹ"|citynametjj==""|citynametjj==""|citynametjj=="̩"|citynametjj=="̨"|citynametjj=="ɹ"|citynametjj=="ǵ"|citynametjj=="տ"|citynametjj==""|citynametjj=="ϲ"|citynametjj==""|citynametjj==""|citynametjj=="ŭ"|citynametjj=="³"|citynametjj==""|citynametjj==""|citynametjj=="ʲ"|citynametjj=="յ"|citynametjj=="ϲ"|citynametjj==""|citynametjj=="ɽ"|citynametjj=="Ļ"|citynametjj=="ɹ"|citynametjj==""|citynametjj==""|citynametjj=="ɳ"|citynametjj=="տ¶"|citynametjj==""
replace district=5 if district==.
/*=0в=1=2
򡢺ӱϺա㽭ɽ㶫ͺ
вɽ֡աϡ
Ĵ졢ݡϡءࡢຣġ½ɹ
*/
gen      region=.
replace  region=0  if  !missing(prov2)
replace  region=1  if  prov==14|prov==22|prov==23|prov==34|prov==36|prov==41|prov==42|prov==43
replace  region=2  if  prov==15|prov==45|prov>=50
label    variable  region  "0-east,1-middle,2-west"
gen      post=1    if  d1>1998 & !missing(d1)
replace  post=0    if  d1<=1998
gen      treatpost=treat*post
********************descriptive statistics**********************
*table1
ttable2 lh17win lh20win lg2win lfagewin lf1win lj16win , by(treat) f(%9.4f)

*figure1
preserve
drop  if  year<1995
 bys treat year : egen m1=mean(lh17win) // average rd investment in every province-year
 graph twoway ///
	(connected m1 year if treat==1) ///
	(connected m1 year if treat==0) ///
	, ///
	graphr(color(white)) ///
	ytitle("ҵ۶") ///
	xscale(range(1995 2016)) xlabel(1995(2)2016) xtitle("") ///
	name(p051, replace) ///
	legend(label(1 "й") label(2 "޹")) 
restore

*figure2
tab e20 if treat==0
tab e20 if treat==1
preserve
use "D:\󱳾\processdata\2.dta",clear
sort  type  code
graph bar percent , over(type) ///
over(codename, label(angle(45))) /*ʶб45*/ ///
nofill asyvars ytitle("ҵռ") ylabel(0(10)80, angle(0)) b1title("ҵ") ///
legend(rows(1) position(1) ring(0)) ///
/*blabel(bar, format(%4.2f)) //ÿͼݲ涨ݸʽ*/
restore



*table2

gen      nb4=1  if  b4==1|b4==2|b4==3|b4==4|b4==5
replace  nb4=0  if  nb4!=1
gen      nb5=1  if  b5==1|b5==2|b5==3|b5==4|b5==5
replace  nb5=0  if  nb5!=1
gen      nb6=1  if  b6==1|b6==2|b6==3|b6==4|b6==5
replace  nb6=0  if  nb6!=1
ttable2  nb4  nb5  nb6  ld16win , by(treat) f(%9.4f)

****************************BASIC REGRESSION************************************
*table3
*Origin Regression
local    basic_controls  "lg2win  edu  age  fage"

reghdfe  lh17win  treat  , a(year e25 cityidtjj)
outreg2  using "result1.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket replace

reghdfe  lh17win  treat  `basic_controls' , a(year e25 cityidtjj)
outreg2  using "result1.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

/*reghdfe  lh17win  treat  `basic_controls' prop , a(year e25 cityidtjj)
outreg2  using "result1.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append*/

reghdfe  lf1win  treat  , a(year e25 cityidtjj)
outreg2  using "result1.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

reghdfe  lf1win  treat  `basic_controls' , a(year e25 cityidtjj)
outreg2  using "result1.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

/*reghdfe  lf1win  treat  `basic_controls' prop , a(year e25 cityidtjj)
outreg2  using "result1.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append*/
********************************************************************************
*table 4
*Propersity score matching

gen   trait1=(b1==1|b1==2|b1==3|b1==4|b1==5)
gen   trait2=(b9==1)                                    /*soldier or not*/
gen   trait3=(b14==1|b14==2|b14==3)                     /*father's experience*/
gen   trait4=(na3==1|na3==2)                           /*birth place*/

set   seed   101010
gen   ranorder=runiform()
sort  ranorder

bootstrap r(att) r(atu) r(ate), reps(100): psmatch2 treat na2 trait1 trait2 trait3 trait4 edu c2 e25 year prov2,outcome(lh17win) n(1) ate ties logit common
outreg2  using "result2.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append
pstest trait1 trait2 trait3 trait4 edu c2 e25 year prov2,both graph

bootstrap r(att) r(atu) r(ate), reps(100): psmatch2 treat na2 trait1 trait2 trait3 trait4 edu e25 year prov2,outcome(lh17win) n(1) ate ties logit common
outreg2  using "result2.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append
pstest trait1 trait2 trait3 trait4 edu c2 e25 year prov2,both graph

*********************************************************************************
*table 5
local    basic_controls  "lg2win  edu  age "

gen      dep=(treat==1)
local    basic_controls  "lg2win  edu  age "

etregress lh17win `basic_controls' i.year i.e25 i.region , treat(dep=urban `basic_controls' i.year i.e25 i.region) two first
outreg2  using "result2.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket replace 

etregress lh17win `basic_controls' i.year i.e25 i.region , treat(dep=urban trait2 trait3 `basic_controls' i.year i.e25 i.region) two first
outreg2  using "result2.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append 

*********************************************************************************
*table6
local    basic_controls  "lg2win  edu  age  fage"

reghdfe  lh17win  treat  `basic_controls' , a(year e25 cityidtjj)
outreg2  using "result3.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

reghdfe  lh17win  treat  `basic_controls' prop , a(year e25 cityidtjj)
outreg2  using "result3.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

reghdfe  lf1win  treat  `basic_controls' , a(year e25 cityidtjj)
outreg2  using "result3.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

reghdfe  lf1win  treat  `basic_controls' prop , a(year e25 cityidtjj)
outreg2  using "result3.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

********************************************************************************
*figure4
preserve
drop  if  d1<1973
 bys treat d1 : egen m1=mean(lh17win) // average rd investment in every province-year
 graph twoway ///
	(connected m1 d1 if treat==1) ///
	(connected m1 d1 if treat==0) ///
	, ///
	graphr(color(white)) ///
	ytitle("ҵֵ") ///
	xscale(range(1973 2016)) xlabel(1973(3)2016) xtitle("") ///
	xline(1998, lcolor(black)) /// 
	title("ҵ۶仯") ///
	name(p051, replace) ///
	legend(label(1 "й") label(2 "޹")) 
restore

*********************************************************************************
*table8
local  basic_controls " lg2win edu age"

*column1
reghdfe  lh17win  treat  post  treatpost , a(year e25 cityidtjj)
outreg2  using "result4.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket replace

*column2
reghdfe  lh17win  treat  post  treatpost  `basic_controls' , a(year e25 cityidtjj)
outreg2  using "result4.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

*column3
gen      post1=1    if  d1>1992 & !missing(d1)
replace  post1=0    if  d1<=1992
gen      treatpost1=treat*post1

local  basic_controls " lg2win edu age"

/*reghdfe  lh17win  treat  post1  treatpost1 , a(year e25 cityidtjj)
outreg2  using "result4.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket replace*/

reghdfe  lh17win  treat  post1  treatpost1  `basic_controls' , a(year e25 cityidtjj)
outreg2  using "result4.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

*column4
gen      post2=1    if  d1>2008 & !missing(d1)
replace  post2=0    if  d1<=2008
gen      treatpost2=treat*post2

local  basic_controls " lg2win edu age"

/*reghdfe  lh17win  treat  post2  treatpost2 , a(year e25 cityidtjj)
outreg2  using "result4.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket replace*/

reghdfe  lh17win  treat  post2  treatpost2  `basic_controls' , a(year e25 cityidtjj)
outreg2  using "result4.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append


********************************************************************************
*figure5
preserve
 bys treat year : egen m1=mean(lh28win) // average rd investment in every province-year
 graph twoway ///
	(connected m1 year if treat==1) ///
	(connected m1 year if treat==0) ///
	, ///
	graphr(color(white)) ///
	ytitle("ҵд") ///
	xscale(range(1995 2016)) xlabel(1995(3)2016) xtitle("") ///
	title("ҵдѱ仯") ///
	name(p051, replace) ///
	legend(label(1 "й") label(2 "޹")) 
restore

*figure5
preserve
 bys treat year : egen m1=mean(na21) // average rd investment in every province-year
 graph twoway ///
	(connected m1 year if treat==1) ///
	(connected m1 year if treat==0) ///
	, ///
	graphr(color(white)) ///
	ytitle("ҵѧϰʱ") ///
	xscale(range(2001 2009)) xlabel(2001(2)2009) xtitle("") ///
	title("ҵѧϰʱ仯") ///
	name(p051, replace) ///
	legend(label(1 "й") label(2 "޹")) 
restore

********************************************************************************
*table9
gen      sindex1=1  if  k5==1
replace  sindex1=0  if  k5==0
gen      sindex2=1  if  k6==1
replace  sindex2=0  if  k6==0
gen      sindex3=1  if  k7==1
replace  sindex3=0  if  k7==0
gen      sindex4=1  if  k8==1
replace  sindex4=0  if  k8==0
gen      sindex5=1  if  k9==1
replace  sindex5=0  if  k9==0
gen      sindex6=1  if  k10==1
replace  sindex6=0  if  k10==0
gen      sindex7=1  if  k11==0
replace  sindex7=0  if  k11==1
gen      sindex8=1  if  k13!=1 & !missing(k13)
replace  sindex8=0  if  k13==1
gen      sindex9=1  if  k14>2 & !missing(k14)
replace  sindex9=0  if  k14==1 | k14==2
gen      sindex10=1 if  k15==0
replace  sindex10=0 if  k15>0 & !missing(k15)
gen      sindex11=1 if  k16>2 & !missing(k16)
replace  sindex11=0 if  k16==0 | k16==1 | k16==2
gen      sindex12=1 if  k17==0
replace  sindex12=0 if  k17!=0 & !missing(k17)
gen      sindex13=1 if  k18>2  & !missing(k18)
replace  sindex13=0 if  k18==1 | k18==2
gen      sindex14=1 if  k19>0 & !missing(k19)
replace   sindex14=0 if  k19==0
gen      sindex15=1 if  k20==0
replace  sindex15=0 if  k20!=0 & !missing(k20)
ttable2  sindex1  sindex2  sindex3  sindex4  sindex5  sindex6  sindex7  sindex8  sindex9  sindex10  sindex11  sindex12  sindex13  sindex14  sindex15 , by(treat) f(%9.4f)
gen      GIM=!missing(sindex1)+!missing(sindex2)+!missing(sindex3)+!missing(sindex4)+!missing(sindex5)+!missing(sindex6)+!missing(sindex7)+!missing(sindex8)+!missing(sindex9)+!missing(sindex10)+!missing(sindex11)+!missing(sindex12)+!missing(sindex13)+!missing(sindex14)+!missing(sindex15)

*figure6
preserve
 bys treat year : egen m1=mean(GIM) // average rd investment in every province-year
 graph twoway ///
	(connected m1 year if treat==1) ///
	(connected m1 year if treat==0) ///
	, ///
	graphr(color(white)) ///
	ytitle("ҵṹ") ///
	xscale(range(1996 2016)) xlabel(1996(2)2016) xtitle("") ///
	title("ҵṹԱ") ///
	name(p051, replace) ///
	legend(label(1 "й") label(2 "޹")) 
restore
********************************************************************************
*Mechnism paths
*table10
ttable2 sc1 sc2 sc3 lh28win , by(treat) f(%9.4f)

**table11**
local    basic_controls  "lg2win  edu  age"

reghdfe  lh28win  treat  , a(year e25 cityidtjj)
outreg2  using "result5.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket replace

reghdfe  lh28win  treat  `basic_controls' , a(year e25 cityidtjj)
outreg2  using "result5.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

reghdfe  lh28win  treat  `basic_controls' prop , a(year e25 cityidtjj)
outreg2  using "result5.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

reghdfe  GIM  treat  , a(year e25 cityidtjj)
outreg2  using "result5.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

reghdfe  GIM  treat  `basic_controls' , a(year e25 cityidtjj)
outreg2  using "result5.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

reghdfe  GIM  treat  `basic_controls' prop , a(year e25 cityidtjj)
outreg2  using "result5.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

***table12****
local    basic_controls  "lg2win  edu  age"

reghdfe  lh17win  sc1  sc2  sc3  lh28win  , a(year e25 cityidtjj)
outreg2  using "result6.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket replace

reghdfe  lh17win  sc1  sc2  sc3  lh28win  `basic_controls' , a(year e25 cityidtjj)
outreg2  using "result6.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

reghdfe  lh17win  sc1  sc2  sc3  lh28win  `basic_controls' prop , a(year e25 cityidtjj)
outreg2  using "result6.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

reghdfe  lh17win  GIM , a(year e25 cityidtjj)
outreg2  using "result6.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

reghdfe  lh17win  GIM  `basic_controls' , a(year e25 cityidtjj)
outreg2  using "result6.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

reghdfe  lh17win  GIM  `basic_controls' prop , a(year e25 cityidtjj)
outreg2  using "result6.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append


***table13****
local    basic_controls  "lg2win  edu  age"

reghdfe  lh17win  treat  `basic_controls' prop , a(year e25 cityidtjj)
outreg2  using "result7.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket replace

reghdfe  lh17win  treat  `basic_controls' prop sc1 sc2 sc3 lh28win , a(year e25 cityidtjj)
outreg2  using "result7.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

reghdfe  lh17win  treat  `basic_controls' prop k5 k6 k7 k11 k13 , a(year e25 cityidtjj)
outreg2  using "result7.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

reghdfe  lh17win  treat , a(year e25 cityidtjj)
outreg2  using "result7.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

reghdfe  lh17win  treat  sc1 sc2 sc3 lh28win , a(year e25 cityidtjj)
outreg2  using "result7.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

reghdfe  lh17win  treat  k5 k6 k7 k11 k13 , a(year e25 cityidtjj)
outreg2  using "result7.xls",  bdec(4) sdec(4) rdec(4) keep($outvar) bracket append

********************************************************************************
